Subject: bug#53250: icedove clears user data on upgrade

From: Nicholas von Klitzing <[email-masked]>
Date: Fri, 14 Jan 2022 11:47:29 +0000

Hello Guix,

Every time I upgrade icedove (via guix pull && guix system reconfigure), all of my user data is cleared from icedove.

All of my mail settings, accounts, etc. are just gone and I need to manually set them all up again.

When I check ~/.icedove, my profile and settings are still there after the upgrades, but they're not loaded by icedove.

```
nicholas@guix14 ~$ ls .icedove/
dz83arz0.default/  profiles.ini
nicholas@guix14 ~$ cat .icedove/profiles.ini
[Profile0]
Name=default
IsRelative=1
Path=dz83arz0.default
Default=1

[General]
StartWithLastProfile=1
Version=2
```

Kind regards,
Nicholas